ru.bitel.bgbilling.plugins.organizer.client.bean

## Class RecordInfo

- java.lang.Object
- - ru.bitel.bgbilling.plugins.organizer.client.bean.RecordInfo

-     public class RecordInfo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComm()`
    `int` | `getContractId()`
    `java.lang.String` | `getContractName()`
    `java.lang.String` | `getGroup()`
    `java.lang.String` | `getId()`
    `Period` | `getPeriod()`
    `java.lang.String` | `getStatus()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getUidCompleted()`
    `java.lang.String` | `getUser()`
    `void` | `setComm(java.lang.String comm)`
    `void` | `setContractId(int cid)`
    `void` | `setContractName(java.lang.String contractName)`
    `void` | `setGroup(java.lang.String group)`
    `void` | `setId(java.lang.String id)`
    `void` | `setPeriod(Period period)`
    `void` | `setStatus(java.lang.String status)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setUidCompleted(java.lang.String uid_completed)`
    `void` | `setUser(java.lang.String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordInfo

          public RecordInfo()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int cid)

    - #### getContractName

          public java.lang.String getContractName()

    - #### setContractName

          public void setContractName(java.lang.String contractName)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getComm

          public java.lang.String getComm()

    - #### setComm

          public void setComm(java.lang.String comm)

    - #### getUser

          public java.lang.String getUser()

    - #### setUser

          public void setUser(java.lang.String user)

    - #### getGroup

          public java.lang.String getGroup()

    - #### setGroup

          public void setGroup(java.lang.String group)

    - #### getPeriod

          public Period getPeriod()

    - #### setPeriod

          public void setPeriod(Period period)

    - #### getStatus

          public java.lang.String getStatus()

    - #### setStatus

          public void setStatus(java.lang.String status)

    - #### getUidCompleted

          public java.lang.String getUidCompleted()

    - #### setUidCompleted

          public void setUidCompleted(java.lang.String uid_completed)